Toybrick

交叉编译工具链选用

raigor

注册会员

积分
56
发表于 2019-2-26 23:15:44    查看: 26529|回复: 13 | [复制链接]    打印 | 显示全部楼层
因为项目需求,需要做交叉编译,试了gcc-linaro-6.5.0-2018.12-x86_64_aarch64-linux-gnu工具链,编译的Qt程序底层libdl.so不兼容(错误信息见下图),把底层的库都替换掉又不现实。初步考虑:
1.选用兼容的工具链;
2.直接使用官方的工具链。

方法2最好,最直接,那么问题来了,官方的工具链在哪下载呢?或者提供一个兼容的工具链?





各位社友,请不吝赐教~

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?立即注册

x
回复

使用道具 举报

leok

版主

积分
894
发表于 2019-2-26 23:26:33 | 显示全部楼层
1、首先确认在板子上是否有gcc,没有的话直接dnf安装gcc,之后可在板上直接编译你的程序
回复

使用道具 举报

raigor

注册会员

积分
56
 楼主| 发表于 2019-2-26 23:38:08 | 显示全部楼层
leok 发表于 2019-2-26 23:26
1、首先确认在板子上是否有gcc,没有的话直接dnf安装gcc,之后可在板上直接编译你的程序 ...

在板子上搭建开发环境比较繁琐,而且有很大的局限性;arm单板毕竟性能有效,交叉编译有助于效率的提升。所以,我这个项目最好是有交叉编译环境。
回复

使用道具 举报

jefferyzhang

版主

积分
13007
发表于 2019-2-27 09:18:36 | 显示全部楼层
交叉编译自带的so需要从板子上拷贝,制作适合这块板子这个系统的的交叉编译环境。
sysroot直接用交叉编译自带的当然会各种问题拉。。。
回复

使用道具 举报

raigor

注册会员

积分
56
 楼主| 发表于 2019-2-27 09:33:07 | 显示全部楼层
jefferyzhang 发表于 2019-2-27 09:18
交叉编译自带的so需要从板子上拷贝,制作适合这块板子这个系统的的交叉编译环境。
sysroot直接用交叉编译自 ...

前期调研阶段在单板上编译开发,问题都不大;但是项目化运作后,交叉编译工具链和root fs是两块必须的工具,建议官方拆分一下打包发布。
回复

使用道具 举报

jefferyzhang

版主

积分
13007
发表于 2019-2-27 10:58:17 | 显示全部楼层
raigor 发表于 2019-2-27 09:33
前期调研阶段在单板上编译开发,问题都不大;但是项目化运作后,交叉编译工具链和root fs是两块必须的工 ...

一般来说官方不太可能把每个操作系统的编译链都给大家打包一份发布吧
这个工具链肯定要自己做了额
回复

使用道具 举报

gary.zhang

新手上路

积分
14
发表于 2019-3-12 10:30:43 | 显示全部楼层
jefferyzhang 发表于 2019-2-27 10:58
一般来说官方不太可能把每个操作系统的编译链都给大家打包一份发布吧
这个工具链肯定要自己做了 ...

交叉编译工具链每个用户都自己做,多浪费。官方不需要针对每一个系统都提供编译工具链,但默认支持的系统要提供一套
回复

使用道具 举报

嘻嘻哈哈

注册会员

积分
87
发表于 2019-4-26 11:00:52 | 显示全部楼层
本帖最后由 嘻嘻哈哈 于 2019-4-26 11:01 编辑

大家找到能用的兼容的工具链了吗,gcc-linaro-7.4.1-2019.02-x86_64_aarch64-linux-gnu.tar试了一下不行
回复

使用道具 举报

xsky

中级会员

积分
388
发表于 2019-11-27 15:11:57 | 显示全部楼层
板子上编译是效率有点低,我也建议需要交叉编译,可以至少提供windows或ubuntu其中一种也好啊
回复

使用道具 举报

xsky

中级会员

积分
388
发表于 2019-11-27 15:12:48 | 显示全部楼层
jefferyzhang 发表于 2019-2-27 10:58
一般来说官方不太可能把每个操作系统的编译链都给大家打包一份发布吧
这个工具链肯定要自己做了 ...

提供windows或ubuntu其中一种也好啊
回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

产品中心 购买渠道 开源社区 Wiki教程 资料下载 关于Toybrick


快速回复 返回顶部 返回列表